Package htsjdk.samtools.reference

# Class SamLocusAndReferenceIterator.SAMLocusAndReference

java.lang.Object
htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference

Enclosing class:
  `SamLocusAndReferenceIterator`

public static class SamLocusAndReferenceIterator.SAMLocusAndReference extends Object
Small class to hold together a `SamLocusIterator.LocusInfo` and the reference base over that locus.

## Constructor Summary

Constructors
Constructor
Description
`SAMLocusAndReference(SamLocusIterator.LocusInfo locus, byte referenceBase)`

## Method Summary

Modifier and Type
Method
Description
`SamLocusIterator.LocusInfo`
`getLocus()`
`List<SamLocusIterator.RecordAndOffset>`
`getRecordAndOffsets()`
Getter
`byte`
`getReferenceBase()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SAMLocusAndReference

public SAMLocusAndReference(SamLocusIterator.LocusInfo locus, byte referenceBase)

## Method Details

### getLocus

public SamLocusIterator.LocusInfo getLocus()

### getReferenceBase

public byte getReferenceBase()

### getRecordAndOffsets

public List<SamLocusIterator.RecordAndOffset> getRecordAndOffsets()
Getter

Returns:
  The `SamLocusIterator.RecordAndOffset` that overlap this locus. Extracted from the `SamLocusIterator.LocusInfo`.